---
title: Firefox 80 for developers
slug: Mozilla/Firefox/Releases/80
tags:
  - '80'
  - Firefox
  - Mozilla
  - Release
---
<p>{{FirefoxSidebar}}</p>

<p class="summary">This article provides information about the changes in Firefox 80 that will affect developers. Firefox 80 was released on August 25, 2020.</p>

<h2 id="Changes_for_web_developers">Changes for web developers</h2>

<h3 id="Developer_Tools">Developer Tools</h3>

<ul>
 <li>You can now block and unblock network requests using the <code>:block</code> and <code>:unblock</code> <a href="/en-US/docs/Tools/Web_Console/Helpers">helper commands</a> in the Web Console ({{bug("1546394")}}).</li>
 <li>When <a href="/en-US/docs/Tools/Page_Inspector/How_to/Examine_and_edit_CSS#Viewing_and_changing_classes_on_an_element">adding a class</a> to an element in the Page Inspector's Rules pane, existing classes are suggested with autocomplete (Refer to {{bug("1492797")}}).</li>
 <li>When the Debugger <a href="/en-US/docs/Tools/Debugger/How_to/Breaking_on_exceptions">breaks on an exception</a>, the tooltip in the source pane now shows a disclosure triangle that reveals a stack trace ({{bug("1643633")}}).</li>
 <li>In the <a href="/en-US/docs/Tools/Network_Monitor/request_list#Network_request_columns">Network Monitor request list</a>, a turtle icon is shown for "slow" requests that exceed a configurable threshold for the waiting time ({{bug("1648373")}}).</li>
</ul>

<h3 id="HTML">HTML</h3>

<p><em>No changes</em></p>

<h3 id="CSS">CSS</h3>

<ul>
 <li>The standard, unprefixed {{CSSxRef("appearance", "appearance")}} property is now supported; existing <code>-moz-appearance</code> and <code>-webkit-appearance</code> are now aliases of the unprefixed property ({{bug(1620467)}}).</li>
</ul>

<h3 id="JavaScript">JavaScript</h3>

<ul>
 <li>The ECMAScript 2021 <code>export * as namespace</code> syntax for the <code><a href="/en-US/docs/Web/JavaScript/Reference/Statements/export">export</a></code> statement is now supported ({{bug(1496852)}}).</li>
</ul>

<h3 id="HTTP">HTTP</h3>

<ul>
 <li>Previously, when the <a href="/en-US/docs/Web/HTTP/Headers/Feature-Policy/fullscreen">fullscreen</a> directive was applied to an <code><a href="/en-US/docs/Web/HTML/Element/iframe">&lt;iframe&gt;</a></code> (i.e. via the <code>allow</code> attribute), it didn't work unless the <code>allowfullscreen</code> attribute was also present This has now been fixed ({{bug(1608358)}}).</li>
</ul>

<h3 id="APIs">APIs</h3>

<h4 id="DOM">DOM</h4>

<ul>
 <li>Web Animations API compositing operations are now enabled — see <code><a href="/en-US/docs/Web/API/KeyframeEffect/composite">KeyframeEffect.composite</a></code> and <code><a href="/en-US/docs/Web/API/KeyframeEffect/iterationComposite">KeyframeEffect.iterationComposite</a></code> ({{bug(1652676)}}).</li>
</ul>

<h4 id="WebGL">WebGL</h4>

<ul>
 <li>The {{domxref("KHR_parallel_shader_compile")}} <a href="/en-US/docs/Web/API/WebGL_API/Using_Extensions">WebGL extension</a> is now supported ({{bug(1536674)}}).</li>
</ul>

<h4 id="Removals">Removals</h4>

<ul>
 <li>The <code>outerHeight</code> and <code>outerWidth</code> features of <code><a href="/en-US/docs/Web/API/Window/open">Window.open()</a></code> are no longer exposed to web content ({{bug(1623826)}}).</li>
</ul>

<h3 id="WebAssembly">WebAssembly</h3>

<ul>
 <li>Atomic operations are now allowed on non-shared memories ({{bug(1619196)}}).</li>
</ul>

<h3 id="WebDriver_conformance_Marionette">WebDriver conformance (Marionette)</h3>

<ul>
 <li>Using <code>WebDriver:NewWindow</code> to open a new tab no longer returns too early when running tests in headless mode ({{bug(1653281)}}).</li>
 <li>We removed the <code>name</code> argument for <code>WebDriver:SwitchToWindow</code> — it is not supported for W3C-compatible mode, and shouldn't be used anymore ({{bug(1588424)}}).</li>
 <li>We've started to add Fission support for the following commands: <code>WebDriver:FindElement</code>, <code>WebDriver:FindElements</code>, <code>WebDriver:GetElementAttribute</code>, <code>WebDriver:GetElementProperty</code>.</li>
 <li><strong>Known issue</strong>: Opening a new tab by using <code>WebDriver:NewWindow</code>, or via an arbitrary script that calls <code>window.open()</code>, now automatically switches to that new window ({{bug(1661495)}}).</li>
</ul>

<h2 id="Changes_for_add-on_developers">Changes for add-on developers</h2>

<p><em>No changes</em></p>

<h2 id="Older_versions">Older versions</h2>

<p>{{Firefox_for_developers(79)}}</p>
